<!DOCTYPE html>
<html lang="es">
    <head>
        <meta charset="UTF-8" />
        <meta name="viewport" content="width=device-width, initial-scale=1.0" />
        <title>Shadow DOM</title>
    </head>
    <script defer src="shadow.js"></script>
    <style>
        h1#mi-id {
            margin-left: 20rem;
            border: 1px solid red;
        }
    </style>
    <body>
        <h1 id="mi-id">Externo</h1>
        <template>
            <style>
                :host {
                    display: block;
                    border: 1px solid green;
                    margin-bottom: 2rem;
                }
                h1#mi-id {
                    margin-left: 1rem;
                    margin-right: 1rem;
                    border: 1px solid green;
                }
            </style>
            <h1>Hola, mi primer template</h1>
            <p>¿Cómo estás?</p>
        </template>

        <mi-saludo></mi-saludo>
        <mi-saludo></mi-saludo>
        <mi-saludo></mi-saludo>
        <mi-saludo></mi-saludo>
    </body>
</html>
